<ion-view title="Venue" ng-controller="venueEditCtrl as ctrl">

	<div class="container" style="padding-top: 50px">

		<div class="row">
			<div class="col-sm-12">
				<h4>General Info:</h4>
				<hr>
				<form class="form-horizontal">

					<div class="form-group">
						<label class="col-sm-2 control-label">Title:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
								ng-model="ctrl.venue.general.title"
								placeholder="London">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Short Description:</label>
						<div class="col-sm-10">
							<text-angular ng-model="ctrl.venue.general.shortDescription"></text-angular>
						</div>
					</div>

					<!-- upload image -->
					<div class="form-group">
						<label class="col-sm-2 control-label">Image:</label>
						<div class="col-sm-10">

							<div class="row">
								<div class="col-sm-2">
									<img ng-src="{{ctrl.venue.general.image}}" class="img-thumbnail" ng-if="ctrl.venue.general.image">
								</div>
							</div>

							<button type="button" class="btn btn-success"
							ngf-select ngf-change="ctrl.image($files)"
							ngf-multiple="false">
								Upload Image
							</button>
							<button type="button" class="btn btn-danger"
							ng-if="ctrl.venue.general.image"
							ng-click="ctrl.deleteImg()">
								Delete Image
							</button>
						</div>
					</div>

				</form>

			</div><!-- /.col -->
		</div><!-- /.row -->

		<div class="row">
			<div class="col-sm-12">
				<hr>
				<h4>Venue Sections:</h4>
			</div><!-- /.col -->

			<div class="col-sm-4 sectionEvent">
				<button type="button" class="btn btn-primary btn-block"
					ng-click="ctrl.goTo('admin.location')">
					Location
				</button>
			</div><!-- /.col -->

			<div class="col-sm-4 sectionEvent">
				<button type="button" class="btn btn-primary btn-block"
					ng-click="ctrl.goTo('admin.directions')">
					Directions
				</button>
			</div><!-- /.col -->

			<div class="col-sm-4 sectionEvent">
				<button type="button" class="btn btn-primary btn-block"
					ng-click="ctrl.goTo('admin.facilities')">
					Facilities
				</button>
			</div><!-- /.col -->

		</div><!-- /.row -->

		<nav class="navbar navbar-default navbar-fixed-bottom">
			<div class="container">
				<button type="button" class="btn btn-success navbar-btn"
					ng-click="ctrl.save()">Save</button>
			</div>
		</nav>

	</div><!-- /.container -->
</ion-view>
